Skip to main content
POST
Get Representation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
string
required
peer_id
string
required

Body

application/json

Options for getting the peer representation

session_id
string | null

Optional session ID within which to scope the representation

target
string | null

Optional peer ID to get the representation for, from the perspective of this peer

search_query
string | null

Optional input to curate the representation around semantic search results

search_top_k
integer | null

Only used if search_query is provided. Number of semantic-search-retrieved conclusions to include in the representation

Required range: 1 <= x <= 100
search_max_distance
number | null

Only used if search_query is provided. Maximum distance to search for semantically relevant conclusions

Required range: 0 <= x <= 1
include_most_frequent
boolean | null

Only used if search_query is provided. Whether to include the most frequent conclusions in the representation

max_conclusions
integer | null
default:25

Only used if search_query is provided. Maximum number of conclusions to include in the representation

Required range: 1 <= x <= 100

Response

Successful Response

representation
string
required